- name: initialize the cluster
  shell: kubeadm init --pod-network-cidr=10.244.0.0/16 --ignore-preflight-errors=NumCPU >> cluster_initialized.txt
  args:
    chdir: $HOME
    creates: cluster_initialized.txt

- name: create .kube directory
  become: yes
  become_user: kube
  file:
    path: $HOME/.kube
    state: directory
    mode: 0755

- name: copy admin.conf to user's kube config
  copy:
    src: /etc/kubernetes/admin.conf
    dest: /home/kube/.kube/config
    remote_src: yes
    owner: kube

- name: install Pod network
  become: yes
  become_user: kube
  shell: kubectl create -f https://raw.githubusercontent.com/cilium/cilium/1.8.2/install/kubernetes/quick-install.yaml >> pod_network_setup.txt
  args:
    chdir: $HOME
    creates: pod_network_setup.txt

- name: get join command
  shell: kubeadm token create --print-join-command
  register: join_command_raw

- name: set join command
  set_fact:
    join_command: "{{ join_command_raw.stdout_lines[0] }}"
